import java.util.PriorityQueue;
import java.util.Iterator;

class PriorityQueueExample {
    public static void main(String[] args) {
        PriorityQueue<Integer> priqueue = new PriorityQueue<>();
        
        // offer() Methods
        priqueue.add(99);
        priqueue.add(96);
        priqueue.add(92);
        System.out.println("PriorityQueue: " + priqueue);

        priqueue.offer(93);
        System.out.println("PriorityQueue: " + priqueue);

        // peek() method
        int number = priqueue.peek();
        System.out.println("Peeked: " + number);

        // remove() method
        boolean result = priqueue.remove(2);
        System.out.println("priqueue(2) removed? " + result);
        // poll() method
        int number1 = priqueue.poll();
        System.out.println("Removed: " + number1);

        //iterator() method
        Iterator<Integer> iterate = priqueue.iterator();
        System.out.print("priqueue elements: ");
        while(iterate.hasNext()) {
            System.out.print(iterate.next());
            System.out.print(", ");
        }
        System.out.print("\n");
    }
}
